Save brand positioning
curl --request PATCH \
--url https://api.example.com/v1/brand \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"positioning": "<string>",
"audience": "<string>",
"productDescription": "<string>",
"tone": "<string>",
"competitors": [
"<string>"
],
"excludedTopics": [
"<string>"
],
"rawIntent": "<string>"
}
'import requests
url = "https://api.example.com/v1/brand"
payload = {
"positioning": "<string>",
"audience": "<string>",
"productDescription": "<string>",
"tone": "<string>",
"competitors": ["<string>"],
"excludedTopics": ["<string>"],
"rawIntent": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
positioning: '<string>',
audience: '<string>',
productDescription: '<string>',
tone: '<string>',
competitors: ['<string>'],
excludedTopics: ['<string>'],
rawIntent: '<string>'
})
};
fetch('https://api.example.com/v1/brand', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"version": 4,
"superseded": true
}Brand
Save brand positioning
Author a new positioning version. Requires a paid plan.
PATCH
/
v1
/
brand
Save brand positioning
Authorizations
A workspace API key issued in Settings → Developer, sent as Bearer sk_….
Body
application/json